<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Parms Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classParms.html">Parms</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a8c04c71e01c3145028c23c480a842b19">add</a>(QString section, QString key, const T &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a13a874b1889f955b5ee04ed97499738a">add</a>(QString section, QString key, const bool &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a4f04602ca4aab7e52f13af58f8045699">add</a>(QString section, QString key, const int &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a73b8a4307632d5f10053def0ea4a1afd">add</a>(QString section, QString key, const float &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a93e22a96ebb9a84e43b8487d08d0807f">add</a>(QString section, QString key, const double &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#ad5db0bbff76b42d9f45f835a83f07188">add</a>(QString section, QString key, const std::string &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ae245354070653e2bbaad054a93b89f7c">add</a>(QString section, QString key, QString value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a9d945adcfdec06f9101784fa0444e9ed">addValue</a>(QString section, QString key, const value_t &amp;value)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#aa6041b7843059839d6dd2e7098ee40b6">all</a>(QString section, QString key, Container &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#ac4f18a910aece675b541eba76ff64913">all</a>(QString section, QString key, std::vector&lt; bool &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#adfd5bd533f8a508546cc445ffedef9e6">all</a>(QString section, QString key, std::vector&lt; int &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a93667be37147a56c015d410a337f2452">all</a>(QString section, QString key, std::vector&lt; float &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#af1e215850e7e4a96a0d6f978903be19a">all</a>(QString section, QString key, std::vector&lt; double &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a603f7fecbb1d56f5412453f931a65d4f">all</a>(QString section, QString key, std::vector&lt; std::string &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a0b2b4bb4f939df8baedc72bcd7325e10">all</a>(QString section, QString key, std::vector&lt; QString &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a8ff04d327fe2c01e7ffe6d83e0152cda">all</a>(QString section, QString key, QStringList &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a45c7f59b73585e8e4d91a70dddcbb369">all</a>(QString section, QHash&lt; QString, Container &gt; &amp;values) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a5fd793d21698cccf25ed2c683a9286cb">all</a>(QString section, QHash&lt; QString, std::vector&lt; bool &gt; &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a904c4b5be3c37648a8264fca4a195b20">all</a>(QString section, QHash&lt; QString, std::vector&lt; int &gt; &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a95b8251cf2b4454ae263a68507a2275c">all</a>(QString section, QHash&lt; QString, std::vector&lt; float &gt; &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ac9ee6e2c5a0b82ad761acd745ef4cebf">all</a>(QString section, QHash&lt; QString, std::vector&lt; double &gt; &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a5178116f3eb4bd05b4680946e61014bf">all</a>(QString section, QHash&lt; QString, std::vector&lt; std::string &gt; &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#aff2fd94e0bf4f062b5d9affd84067f47">all</a>(QString section, QHash&lt; QString, std::vector&lt; QString &gt; &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#aa044ce5220c8c515f09990f4cf627652">all</a>(QString section, QHash&lt; QString, QStringList &gt; &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#aabaf831218f19258225e6160f926d3e5">CheckExist</a></td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a80a81d2533d9b325b34ebf603acb6f50a7b04eefc246a0dd00cc201737d6cadb6">DEBUG_INFORMATION</a> enum value</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#aa44d348824ac5264b1e5c256ec8187e0">err</a></td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a80a81d2533d9b325b34ebf603acb6f50a6f61b4d8674b98fe448bcd5e76214187">ERRORS_ONLY</a> enum value</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a80a81d2533d9b325b34ebf603acb6f50a88d0cbb9fd12f758d1ea05c3d2a2f770">ERRORS_WARNINGS</a> enum value</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#aa97f61a21d8b4253bdb13291bc6fe705">extractValues</a>(QString section, QString key, QStringList &amp;values, bool checkExist) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#aa6b4b574235c7284bb1020b3d0b2484f">get</a>(QString section, QString key, T &amp;value, bool checkExist) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#ab0d9acbb8f7ac20ef7719b05dd53818b">isLoaded</a>() const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a33f350bc103482f983426de27480423f">listSections</a>() const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a8ca128b8c8e4cc8655486397ca04080b">loaded</a></td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a80a81d2533d9b325b34ebf603acb6f50acf60f8088185516998374ea64579e48d">NO_OUTPUT</a> enum value</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a3a292306fef32acb636751b874a62950">operator()</a>(QString section, QString key, T &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a8e5b0ddfa19376905272f1763b09aa45">operator()</a>(QString section, QString key, bool &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a4fd3c05a9d5fdbaa499c6e2a9e89755c">operator()</a>(QString section, QString key, int &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a0d9aa93226007592f672d9ac5703eaa0">operator()</a>(QString section, QString key, float &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#abfa3c4b93a70528db507d2f4261811d0">operator()</a>(QString section, QString key, double &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a5ceb360e379d3660dacc8c18b13607b8">operator()</a>(QString section, QString key, std::string &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a6b26b3427e0202fd28205cffab52b8f1">operator()</a>(QString section, QString key, QString &amp;value) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a1e97084b6e429e5cd52f331587933c9c">operator()</a>(QString section, QString key, T &amp;value, const T &amp;def) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a4241ac27fefd3fbfd3ecd9e9c3f048c9">Parameters</a></td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a4202397cc5ea12ebdcf778e6c1fa4316">parameters_t</a> typedef</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a5b77c4c61f2d8c9535b2fa00870ec7ad">Parms</a>(int verboseLevel=1)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ab3041e0c5e559fa97c5477c4ad9ddf5d">Parms</a>(QString parmFile, int verboseLevel=1)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#aa8d03678c72d85a7cebd3bd33dfe0c63">read</a>(QString parmFile)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ab4eafc9e4c197cadc2f9697ee250e2c8">readContainer</a>(QString value, InsertIterator container) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#ad6a4dd0a3a4d43815ff643922d67856d">readValue</a>(QString value, bool &amp;variable) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a397d23389c92a0550d1f20874001197b">readValue</a>(QString value, std::string &amp;variable) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a8b195b31c035d515da7bb19f8df7f55a">readValue</a>(QString value, QString &amp;variable) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a816784c573465ec83dfdd75a89cb028e">readValue</a>(QString value, std::vector&lt; T &gt; &amp;variable) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a2792056602cceee4d24f7840f87479a6">readValue</a>(QString value, std::list&lt; T &gt; &amp;variable) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a938d02ab98299b40a00251c5c02c086a">readValue</a>(QString value, std::set&lt; T &gt; &amp;variable) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a02f9131a801f181a9f41632e32b36d14">readValue</a>(QString value, T &amp;variable) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a3c50e04d38ec3ab6ef36d0d0cf314834">set</a>(QString section, QString key, const T &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a4396ed28028fce2f505dcbee249a4692">set</a>(QString section, QString key, const bool &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ae2a726d5b1d5e4cee1aaa7318748d430">set</a>(QString section, QString key, const int &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a968020f67dcb5fd18ee09ccb4025817f">set</a>(QString section, QString key, const float &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#afc1027103004ddd4881529eaacb5ed8b">set</a>(QString section, QString key, const double &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#adcba09fe4040eaca425f84173eb1bd05">set</a>(QString section, QString key, const std::string &amp;value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a90c3f3c8d8e56765805f065a07cced16">set</a>(QString section, QString key, QString value, const QStringList &amp;comment=QStringList())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a7647217ebd86af7aba31dc7fb7516223">setAll</a>(QString section, QString key, const Container &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#af361f2011b2a84ee3202dbf33c09f77d">setAll</a>(QString section, QString key, const std::vector&lt; bool &gt; &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a8758cf14a0b8b3763872742d9209c28b">setAll</a>(QString section, QString key, const std::vector&lt; int &gt; &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#abbaf39745e6f837dc8d96bb03a79ef69">setAll</a>(QString section, QString key, const std::vector&lt; float &gt; &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#aa44daaaab68311c1ab5b128594972aae">setAll</a>(QString section, QString key, const std::vector&lt; double &gt; &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ab7c06bb738c1a1d678dd12c25c57a0ed">setAll</a>(QString section, QString key, const std::vector&lt; std::string &gt; &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a626644323e5a44e8d9d98086f8a21d58">setAll</a>(QString section, QString key, const std::vector&lt; QString &gt; &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ad9bd35041e76a8877f6bfd9b5bffe8ce">setAll</a>(QString section, QString key, const QStringList &amp;value, const QList&lt; QStringList &gt; &amp;comments=QList&lt; QStringList &gt;())</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#aeee98ee77c359e3b6efd47e4168d4772">setComment</a>(QString section, const QStringList &amp;comment)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#aebe97144773bd7d153d9e164bcb2bc5a">setComment</a>(QString section, const QString &amp;comment)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a5dc3b51dc66c561e9e88a9f2c5c9fcd2">setComment</a>(QString section, QString key, const QStringList &amp;comment)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a186b4fd1036a74419bd09d7259797109">setComment</a>(QString section, QString key, const QString &amp;comment)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a45d70c2a3327c8f241ab38364d3d00b6">setComments</a>(QString section, QString key, const QList&lt; QStringList &gt; &amp;comments)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a41b9a8f363cedfeccd782cb165873dca">setValue</a>(QString section, QString key, const value_t &amp;value)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a996412338909bf6412976e227051a6c1">setValues</a>(QString section, QString key, const values_t &amp;values)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a80a81d2533d9b325b34ebf603acb6f50a9d1b33b8d137c3069a6ce0af96a771c6">USER_INFORMATION</a> enum value</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#acc426969e9bf5e89a56dd9cbe77e2dfa">values_t</a> typedef</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a890d2d6193134e01eb3bc76e61346984">verboseLevel</a>(int vl)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a304288b4be84e292ebe1dad50aabe59f">VerboseLevel</a></td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a80a81d2533d9b325b34ebf603acb6f50">VerbosityLevels</a> enum name</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a256c20317703bd47a21489d72d358ec3">write</a>(QString parmFile) const </td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a8a374310cd30d52e940471d130fd9b00">writeContainer</a>(QString &amp;value, Iterator first, Iterator last)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a1c64f37a3c1f45e82ca70bd0b70bf7e0">writeValue</a>(QString &amp;value, const bool &amp;variable)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a54b533bc21695cc27053afb50bb37ba6">writeValue</a>(QString &amp;value, const std::string &amp;variable)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#af8b72852af418bd4601bab3af141a96f">writeValue</a>(QString &amp;value, QString variable)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#a383cdbdd3ee2ed4007b9aba301259be2">writeValue</a>(QString &amp;value, const std::vector&lt; T &gt; &amp;variable)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a0ecad7f930845a676706738628331e50">writeValue</a>(QString &amp;value, const std::list&lt; T &gt; &amp;variable)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ab76dc07d0c30167638096e68decbb96d">writeValue</a>(QString &amp;value, const std::set&lt; T &gt; &amp;variable)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classParms.html#a9f9de92bc4ee9295a7a384906d26e851">writeValue</a>(QString &amp;value, const T &amp;variable)</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classParms.html#ad7c9af575c1d876981440a1f8ff344c3">~Parms</a>()</td><td class="entry"><a class="el" href="classParms.html">Parms</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
